/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * 
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Microsoft Exchange Calendar Provider code.
 *
 * The Initial Developer of the Original Code is
 *   Andrea Bittau <a.bittau@cs.ucl.ac.uk>, University College London
 * Portions created by the Initial Developer are Copyright (C) 2009
 * the Initial Developer. All Rights Reserved.
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *      
 * ***** END LICENSE BLOCK ***** */

// this file is only used for compatibility between thunderbird 2 and 3.

var _f = new Array();
var _proto = null;

function compat3()
{
	_proto = cal.ProviderBase.prototype;

	_f["passwordManagerGet"]  = cal.auth.passwordManagerGet;
	_f["getCredentials"]	  = cal.auth.getCredentials;
	_f["passwordManagerSave"] = cal.auth.passwordManagerSave;
	_f["passwordManagerRemove"] = cal.auth.passwordManagerRemove;
	_f["FreeBusyInterval"]    = cal.FreeBusyInterval;
	_f["fromRFC3339"]	  = cal.fromRFC3339;
	_f["toRFC3339"]		  = cal.toRFC3339;
}

function compat2()
{
	_proto = calProviderBase.prototype;

	_f["passwordManagerGet"]  = calPasswordManagerGet;
	_f["getCredentials"]	  = calGetCredentials;
	_f["passwordManagerSave"] = calPasswordManagerSave;
	_f["passwordManagerSave"] = calPasswordManagerRemove;
	_f["FreeBusyInterval"]    = calFreeBusyInterval;
	_f["fromRFC3339"]	  = fromRFC3339;
	_f["toRFC3339"]		  = toRFC3339;
}

if (_tbver == 3)
	compat3();
else
	compat2();
